/** Breakpoints:
 * 576px, 768px, 992px, 1200px, 1400px
 * Media queries:
 * @media: all and (max-width: 576px)
 */

#page-wrapper {
  width: 100%;
}

#page {
  width: 100%;
  max-width: 1600px;
  margin-inline: auto;
}

header {
  display: flex;
  @media all and (max-width: 1200px) {
    flex-direction: column;
    ul.menu {
      margin-top: 0;
    }
    .site-branding__inner {
      margin-top: -2rem;
    }
  }
}

#block-hatwalks-site-branding {
  flex-grow: 0;
}

#header-nav {
  flex-grow: 1;
  display: flex;
  nav {
    flex-grow: 1;
    display: flex;
    font-family: var(--highlight-font-family);
    font-weight: bold;
    font-size: 60px !important;
    ul.menu {
      display: flex;
      flex-grow: 1;
      justify-content: space-evenly;
      list-style-type: none;
      @media all and (max-width: 768px) {
        flex-direction: column;
        align-items: center;
      }
    }
    a {
      text-decoration: none;
      position: relative;
      &:before {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 0;
        height: 3px;
        background-color: var(--color-dark);
        transition: width 0.5s;
      }
      &:after {
        content: "";
        position: absolute;
        bottom: -5px;
        left: 0;
        width: 0;
        height: 2px;
        background-color: var(--color-dark);
        transition: width 0.5s;
      }
      &:hover {
        &:before {
          width: 100%;
          transition: width 0.5s;
        }
        &:after {
          width: 80%;
          transition: width 0.5s;
        }
        /*text-decoration: underline;*/
        /*transition: all 1s;*/
      }
    }
  }
}

a.site-branding__logo > img {
  width: 200px;
  height: 200px;
}

footer {
  font-size: 0.9rem;
  position: relative;
  padding-block-end: 2rem;
  padding-block-start: 1rem;
  &:before {
    content: "";
    position: absolute;
    top: -5px;
    left: 0;
    width: 100%;
    height: 3px;
    background-color: var(--color-dark);
    transition: width 0.5s;
  }
  &:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--color-dark);
    transition: width 0.5s;
  }
}

.views-field-field-images {
  display: flex;
  gap: 1rem;
}

figure, picture {
  img {
    border: solid 5px;
    border-radius: 15px;
  }
}

.rotate-image img {
  rotate: 90deg;
}

.views-field-field-booking a {
  font-weight: bold;
}
.views-field-field-languages, .views-field-field-price, .views-field-field-duration {
  font-style: italic;
}

.site-branding__inner {
  display: flex;
  align-items: center;
  font-family: var(--header-font-family);
  font-size: 1.2rem;
  justify-content: center;
}

.site-branding__slogan {
  text-align: center;
}

.icon {
  font-family: var(--icon-font-family);
}

/* Review cards */

/*.block-views-blockreviews-block-1 .view-content {*/
/*  display: flex;*/
/*  gap: 3rem;*/
/*  justify-content: space-evenly;*/
/*}*/

article.node--type-review.node--view-mode-teaser {
  /*width: 300px;*/
  margin: 0 1rem;
  padding: 0 1rem;
  border: solid 3px;
  border-radius: 15px;
  .teaser__content {
    display: block;
  }
}

.carousel-cell {
  width: 25%;
  @media all and (max-width: 1200px) {
    width: 33%;
  }
  @media all and (max-width: 992px) {
    width: 50%;
  }
  @media all and (max-width: 576px) {
    width: 100%;
  }
}

.flickity-viewport {
  /*width:100%*/
}


.view-header {
  margin: 1rem;
  .starrating div.rate-image {
    display: inline-block;
    float: none;
  }
}

.node--type-landing-page {
  .block, .wp-block-group {
    margin-block-start: 3rem;
    margin-block-end: 3rem;
  }
}

.view-tours {
  .views-row {
    margin-block-start: 2rem;
    margin-block-end: 2rem;
  }
  .views-field-field-images {
    flex-wrap: wrap;
    margin-block-start: 1rem;
  }
}
